<?php

    class hook_shop_product_info_imageZoom {

        function listen_injectBodyEnd() {

            $magnify = 3;

            //These options allow config of zoom window
            $use_window_right = true;
            $window_right_target = 'pi-gallery';
            $window_top_adjust_px = 0;
            $window_max_width_px = 400;
            $window_height_px = 400;
            $window_right_adjust = '100%';

            $hover_box_width = round($window_max_width_px / $magnify);
            $hover_box_height = round($window_height_px / $magnify);

            $sitepath = DIR_WS_CATALOG;

            if (!$use_window_right) {
                $script = <<<script

<script src="{$sitepath}ext/zoom/jquery.zoom.js"></script>
<script>
$(document).ready(function(){
  $('.pi-gallery a')
    .wrap('<span style="display:inline-block"></span>')
    .css('display', 'block')
    .parent()
    .zoom({magnify: {$magnify}});
});
</script>

<style>
.js-image-zoom__zoomed-image{
    min-width: 100%;
}
</style>

script;

            } else {

                $script = <<<script
<script src="{$sitepath}ext/zoom/jquery.zoom.js"></script>
<script>

var zoomMouseX = 0, zoomMouseY = 0;

$(document).ready(function(){
    
    $(".pi-gallery img").wrap('<div id="zoom-target-box-outer" style="display:inline-block; padding: 0px; margin: 0px; overflow: hidden; position: relative;"></span>');
    
    $("#zoom-target-box-outer").append('<div id="zoom-target-box-inner" style="display: none; background: #333; position: absolute; border: 1px solid #000; top: 0px; left: 0px; width: {$hover_box_width}px; height: {$hover_box_height}px;"></div>');
    
    $("#zoom-target-box-inner").css("z-index", 8);
    
    $('.pi-gallery img').mousemove(function(e){
        var imgposx = $("#zoom-target-box-outer").first().offset().left;
        var imgposy = $("#zoom-target-box-outer").first().offset().top;
        $("#zoom-target-box-inner").css({left: zoomMouseX - imgposx - ($hover_box_width / 2), top: zoomMouseY - imgposy - ($hover_box_height / 2)});
        zoomMouseX = e.pageX;
        zoomMouseY = e.pageY;    
    });
    
    $(".$window_right_target").parent().css("position", "relative");
    
    $(".$window_right_target").append('<div id="zoom-target-box" style="display: none; position: absolute; left: {$window_right_adjust};top: {$window_top_adjust_px}px; width: 100%; height: {$window_height_px}px; max-width: {$window_max_width_px}px; border: 1px solid #333; background: #fff; z-index: 3;"></div>');
    
  $('#zoom-target-box-outer')
    .wrap('<span style="display:inline-block"></span>')
    .css('display', 'block')
    .parent()
    .zoom({magnify: $magnify, target: '#zoom-target-box'});
  
  $(".pi-gallery img").hover(
    function(){

        $("#zoom-target-box").css('display', 'block');
        $("#zoom-target-box-inner").css('display', 'block');
        $(this).addClass("bordered-hover");
    },
    function(){
        $("#zoom-target-box").css('display', 'none');
        $("#zoom-target-box-inner").css('display', 'none');
        $(this).removeClass("bordered-hover");

    });

  //ipad and iphone fix
        if(
            (navigator.userAgent.match(/iPhone/i)) || 
            (navigator.userAgent.match(/iPod/i)) || 
            (navigator.userAgent.match(/Android/i)) || 
            (navigator.userAgent.match(/IEMobile/i)) || 
            (navigator.userAgent.match(/BlackBerry/i)) || 
            (navigator.userAgent.match(/Opera Mini/i)) || 
            (navigator.userAgent.match(/iPad/i))
            ) {
             $(".pi-gallery img").bind('touchstart', function(){
                $("#zoom-target-box").css('display', 'block');
                $("#zoom-target-box-inner").css('display', 'block');
                $(this).addClass("bordered-hover");
                $("#zoom-target-box-inner").css("display", "none");
             });

             $(".pi-gallery img").bind('touchend', function(){
                $("#zoom-target-box").css('display', 'none');
                $("#zoom-target-box-inner").css('display', 'none');
                $(this).removeClass("bordered-hover");
             });
        }

});
</script>

<style>
    .bordered-hover{
        border: 1px solid #333;
        z-index: 10;
        opacity: 0.8;
        position: relative;
    
    }
    .js-image-zoom__zoomed-image{
        min-width: 100%;
    }
</style>

script;

            }

            return $script;
        }

    }
